SetCursorPos

Moves the cursor to the specified screen coordinates.

Syntax

Rhino.SetCursorPos (arrScreenPoint)

Rhino.SetCursorPos (arrWorldPoint [, strView])

Parameters

arrScreenPoint

Required. Array. The cursor position in screen (2-D) coordinates.

arrWorldPoint

Required. Array. The cursor position in world (3-D) coordinates.

strView

Optional. String. The title or identifier of the view. If omitted, the current active view is used.

Returns

Boolean

True if successful, False otherwise.

Null

On error.

Example

Dim arrCursor

Call Rhino.SetCursorPos(Array(0,0,0))

arrCursor = Rhino.GetCursorPos

Rhino.Print "World = " & Rhino.Pt2Str(arrCursor(0))

Rhino.Print "Screen= " & Rhino.Pt2Str(arrCursor(1))

Rhino.Print "View = " & arrCursor(2)

Rhino.Print "Client = " & Rhino.Pt2Str(arrCursor(3))

Rhino.AddPoint arrCursor(0)

Also See

GetCursorPos